Snapshotter
GET /snapshots
Authorization
JWTKeyAuth Authorization<token>
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.warpbuild.com/api/v1/snapshots"[
{
"created_at": "string",
"creator_runner_instance_id": "string",
"ebs": {
"snapshot_id": "string",
"volume_id": "string"
},
"error_message": "string",
"external_id": "string",
"id": "string",
"organization_id": "string",
"provider": "string",
"stack_id": "string",
"status": "string",
"updated_at": "string"
}
]{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /snapshots/{id}
Previous Page
DELETE /stacks/{id}
Deletes an infrastructure stack from the authenticated organization. **Warning:** This operation will: 1. Remove all runners associated with this stack 2. Optionally deprovision cloud resources (VPC, subnets, storage buckets) depending on the onboarding mode 3. This action cannot be undone